Subject: Re: [SIP] Receiver-tagged Via headers and ports. Again.

From: Sean Olson <[email-masked]>
Date: Wed, 26 Jul 2000 08:34:01 -0500 (CDT)

> Hi,
> 
> Since my point about the received-port being ignored in 6.47.3
> was missed (I can't understand this because I'd buried it as
> a really small point in a completely unrelated post (:&), I'm
> reraising.
> 
> I think that given the sentence in 6.47.2:
> "If and only if the source address and port differ from the
>  sent-by address, the proxy also includes the source port in
>  the received parameter."
> Shouldn't the text in 6.47.3 be updated to use this port if
> it is present and there is no maddr?
> 
> Furthermore, shouldn't 6.47.4 be updated similarly, so that
> servers -- be they proxy or UA -- behave identically?

I'm glad you pointed this out. Using the source port over the port
specified in the sent-by address seems to be a mistake. For example,
if the Via: sent-by address differs from the source IP address and
does not specify a port (implying port 5060), then do you add the
port to the via-received parameter (in the event it is not 5060)? 

This seems inconsistent with the previous notion that you ignore the
source port in ALL cases and instead use the port as specified.

In any case, the behaviour should be well defined and consistent
throughout the draft as Jo pointed out.

> Cheers,
>  - Jo.
> -- 
>   Jo Hornsby; IT Professional         --       mailto:[email-masked]
>  Ubiquity Software Corporation        --         http://www.ubiquity.net/

--
Sean Olson <[email-masked]>

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 26 Jul 2000 15:56:10 -0400

Sean Olson wrote:

> throughout the draft as Jo pointed out.

Please be sure to cite version of the draft (date) and section. I can't
find the section you're referring in "Responses".

The .4 version was a temporary glitch due to an attempt to deal with
NAPTs, but the conclusion was that this was more confusing than helpful.
Restored to a hopefully consistent state.

A different issue is whether receiver-tagging is worth the complexity,
given that NATs have to do ALG translation anyway. It is not clear when
this would actually be helpful.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs